Example

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
CCardio.h File Reference
`#include "Capsule/CDefinesPrivate.h"`
`#include "Capsule/CNFBCalibrator.h"`
`#include "Capsule/CSession.h"`
Include dependency graph for CCardio.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clCCardioData

## Typedefs
typedef struct clCCardioData | clCCardioData
typedef void(* | clCCardioIndexesUpdateHandler) (clCCardio, clCCardioData)
typedef void(* | clCCardioCalibratedHandler) (clCCardio)

## Functions
| CLC_CLASS_WN (ClassificationCardioPrivate, clCCardio)
CL_DLL clCCardio | clCCardio_Create (clCSession session) NOEXCEPT
| Create a Cardio classifier.
CL_DLL clCCardio | clCCardio_CreateCalibrated (clCNFBCalibrator calibrator) NOEXCEPT
| Create a Cardio classifier after individual NFB has calibrated.
CL_DLL void | clCCardio_Initialize (clCCardio cardio) NOEXCEPT
| Initialize cardio classifier.
| CLC_STRUCT (clCCardioIndexesDelegate)
CL_DLL clCCardioIndexesDelegate | clCCardio_GetOnIndexesUpdateEvent (clCCardio cardio) NOEXCEPT
| Get delegate for cardio indexes event.
CL_DLL void | clCCardioDelegateIndexesUpdate_Set (clCCardioIndexesDelegate delegate, clCCardioIndexesUpdateHandler callback) NOEXCEPT
| Set handler for cardio indexes updates delegate.
| CLC_STRUCT (clCCardioCalibratedDelegate)
CL_DLL clCCardioCalibratedDelegate | clCCardio_GetOnCalibratedEvent (clCCardio cardio) NOEXCEPT
| Get delegate for cardio calibrated event Calibration starts automatically when PPG signal starts emitting.
CL_DLL void | clCCardioDelegateCalibrated_Set (clCCardioCalibratedDelegate delegate, clCCardioCalibratedHandler handler) NOEXCEPT
| Set handler for cardio calibrated delegate Calibration starts automatically when PPG signal starts emitting.
CL_DLL void | clCCardio_Destroy (clCCardio cardio) NOEXCEPT
| Destroy Cardio classifier.

## Typedef Documentation

## ◆ clCCardioCalibratedHandler

typedef void(* clCCardioCalibratedHandler) (clCCardio)

## ◆ clCCardioData

typedef struct clCCardioData clCCardioData

## ◆ clCCardioIndexesUpdateHandler

typedef void(* clCCardioIndexesUpdateHandler) (clCCardio, clCCardioData)

## Function Documentation

## ◆ CLC_CLASS_WN()

CLC_CLASS_WN | ( | ClassificationCardioPrivate | ,
|  | clCCardio |
| ) |  |

## ◆ CLC_STRUCT() [1/2]

CLC_STRUCT | ( | clCCardioCalibratedDelegate |  | ) |

## ◆ CLC_STRUCT() [2/2]

CLC_STRUCT | ( | clCCardioIndexesDelegate |  | ) |

## ◆ clCCardio_Create()

CL_DLL clCCardio clCCardio_Create | ( | clCSession | session | ) |

Create a Cardio classifier.

Parameters

  session | session handle. Valid session must be passed (does not need to be active)

Returns
  Cardio classifier handle.

## ◆ clCCardio_CreateCalibrated()

CL_DLL clCCardio clCCardio_CreateCalibrated | ( | clCNFBCalibrator | calibrator | ) |

Create a Cardio classifier after individual NFB has calibrated.

Parameters

  calibrator | NFB calibrator handle. A calibrated calibrator must be passed.

Returns
  Cardio handle.

## ◆ clCCardio_Destroy()

CL_DLL void clCCardio_Destroy | ( | clCCardio | cardio | ) |

Destroy Cardio classifier.

Parameters

  cardio | classifier handle.

## ◆ clCCardio_GetOnCalibratedEvent()

CL_DLL clCCardioCalibratedDelegate clCCardio_GetOnCalibratedEvent | ( | clCCardio | cardio | ) |

Get delegate for cardio calibrated event Calibration starts automatically when PPG signal starts emitting.

## ◆ clCCardio_GetOnIndexesUpdateEvent()

CL_DLL clCCardioIndexesDelegate clCCardio_GetOnIndexesUpdateEvent | ( | clCCardio | cardio | ) |

Get delegate for cardio indexes event.

## ◆ clCCardio_Initialize()

CL_DLL void clCCardio_Initialize | ( | clCCardio | cardio | ) |

Initialize cardio classifier.

Parameters

  cardio | classifier handle

## ◆ clCCardioDelegateCalibrated_Set()

CL_DLL void clCCardioDelegateCalibrated_Set | ( | clCCardioCalibratedDelegate | delegate,
|  | clCCardioCalibratedHandler | handler
| ) |  |

Set handler for cardio calibrated delegate Calibration starts automatically when PPG signal starts emitting.

## ◆ clCCardioDelegateIndexesUpdate_Set()

CL_DLL void clCCardioDelegateIndexesUpdate_Set | ( | clCCardioIndexesDelegate | delegate,
|  | clCCardioIndexesUpdateHandler | callback
| ) |  |

Set handler for cardio indexes updates delegate.